#include <ESP32-HUB75-MatrixPanel-I2S-DMA.h>

#define PANEL_RES_X 64 // 屏幕宽度
#define PANEL_RES_Y 64 // 屏幕高度
#define PANEL_CHAIN 1  // 两块屏幕拼接

MatrixPanel_I2S_DMA *dma_display = nullptr;

// 包含 RGB565 格式的图片数据
#include "image.h"

void setup() {
  // 配置 LED 矩阵的引脚
  HUB75_I2S_CFG::i2s_pins _pins = {
    25, 26, 27, 14, 12, 13, 23, 19, 5, 17, 18, 4, 15, 16,
  };

  // 初始化屏幕配置
  HUB75_I2S_CFG mxconfig(PANEL_RES_X, PANEL_RES_Y, PANEL_CHAIN, _pins);

  // 初始化 DMA 显示对象
  dma_display = new MatrixPanel_I2S_DMA(mxconfig);
  dma_display->begin();
  dma_display->clearScreen();
  dma_display->setBrightness(100); // 设置亮度 (0-255)

  // 清屏并显示图片
  dma_display->clearScreen();
  dma_display->drawRGBBitmap(0, 0, (uint16_t *)image_data, PANEL_RES_X, PANEL_RES_Y);
}
void loop() {
  // 保持显示内容
}